Bug 235579 - failed extras download during install breaks the installer
failed extras download during install breaks the installer
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-07 11:31 EDT by Jerome Welsh
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerome Welsh 2007-04-07 11:31:23 EDT
If I enable the Extras packages during install and a package fails to download
then the installer cannot continue, thinking the CD is wrong.

At a point during installing the packages it popped up an error dialog saying it
failed to copy a package and gave me the option of reboot or retry. I clicked
retry but it then said it couldn't read the file. I don't remember the exact
sequence of events but it then said I had the wrong disc in (I used the DVD
install disc, which passed a media test), so I reinserted the disc but it
continued to say it was the wrong disc and that I needed to insert disc "-99".

I noted the following on one of the virtual terminals after the problem
happened: (I can't copy from the terminal, so I'll type it with the gist of what
it said)

WARNING : Try 1/10 for <file> failed
WARNING : Try 2/10 for <file> failed
WARNING : Failed to get <file> from mirror
INFO : Switching from CD [] to -99 for

I put <file> in where it showed the url for the file it was trying to download
(bittorrent-gui), and the INFO line is the last one on the terminal and it ends
just like I typed it.

I cannot continue with the install because it insists I insert CD "-99" and give
me no other option than "OK" at any point.


Expected results:

I expect the installer to know that it can't download a file and give a more
accurate error to that effect. It should also correctly retry downloading the
file when I click "retry" rather than trying to read the file from some
non-existent CD.

Clearly the installer has gotten into a non-resolvable loop here, looking for CD
-99 so I have to abort the install. What I would also appreciate here is a
"cancel" button which brings up another dialog asking if I'm sure, and giving me
the option of saving a kickstart file somewhere.

Additional information:

I'm using the FC6 DVD image written to a DVD to install, and not using any
anaconda updates.img.
Comment 1 Jerome Welsh 2007-04-07 11:34:20 EDT
Sorry - just to be completely accurate: I used the i386 DVD image and was
installing onto an Intel Celeron D machine with 512mb RAM.
Comment 2 Red Hat Bugzilla 2007-06-11 23:46:23 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-10-26 11:30:31 EDT
Lots of work has gone into this area since FC6.  Is this better in F8?
Comment 4 Bug Zapper 2008-04-04 02:48:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:28:54 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.